package eu.mhsl.craftattack.worldmuseum.commands;

import eu.mhsl.craftattack.worldmuseum.util.MuseumPlayer;
import eu.mhsl.craftattack.worldmuseum.worlds.World;
import net.minestom.server.command.builder.Command;

public class SpawnCommand extends Command {
    public SpawnCommand() {
        super("spawn");
        setDefaultExecutor((sender, context) -> {
            if(sender instanceof MuseumPlayer p) {
                teleportToSpawn(p);
            }
        });
    }

    public static void teleportToSpawn(MuseumPlayer p) {
        if(p.getInstance() instanceof World world) {
            p.startLoading();
            p.teleport(world.getSpawn()).thenRun(p::stopLoading);
        }
    }
}
