package eu.mhsl.craftattack.worldmuseum.listener;

import net.minestom.server.entity.Player;
import net.minestom.server.event.player.PlayerBlockPlaceEvent;
import net.minestom.server.event.player.PlayerUseItemEvent;

import java.util.function.Consumer;

public class BlockPlaceListener implements Consumer<PlayerBlockPlaceEvent> {
    @Override
    public void accept(PlayerBlockPlaceEvent playerBlockPlaceEvent) {
        Player p = playerBlockPlaceEvent.getPlayer();

        // Fire ItemUseListener for possible missed block-clicks
        new ItemUseListener().accept(
                new PlayerUseItemEvent(
                        p,
                        playerBlockPlaceEvent.getHand(),
                        p.getInventory().getItemStack(p.getHeldSlot())
                )
        );

        playerBlockPlaceEvent.setCancelled(true);
    }
}
